﻿
// Usage:
//
// var cookie = new Array();
//
// initCookie('cookiename', cookie);
//
function initCookie(name, params) {
    var cookies = document.cookie.split('; ');

    for (var i = 0; i < cookies.length; i++) {
        var index = cookies[i].indexOf('=');
        var key = cookies[i].substring(0, index);

        if (key != name) continue;

        var cookie = unescape(cookies[i].substring(index + 1));
        var values = cookie.split('&');

        for (var j = 0; j < values.length; j++) {
            index = values[j].indexOf('=');
            if (index > 0) {
                key = values[j].substring(0, index);
                value = values[j].substring(index + 1);
                params[key] = value;
            }
        }
    }
}

// Usage:
//
// var queryString = new Array();
//
// initQueryString(queryString);
//
function initQueryString(params) {
    var queries = window.location.search.substring(1);
    var values = queries.split('&');

    for (var i = 0; i < values.length; i++) {
        var index = values[i].indexOf('=');
        if (index > 0) {
            var key = values[i].substring(0, index);
            var value = values[i].substring(index + 1);
            params[key] = value;
        }
    }
}
