﻿
// Usage:
//
// var tabLinks = new Array();
// var tabDivs = new Array();
//
// initTabs('nameTabs', tabLinks, tabDivs);
//
function initTabs(element, links, divs, selected) {
    var childNodes = document.getElementById(element).childNodes;
    //var first = true;

    for (var i = 0; i < childNodes.length; i++) {
        if (childNodes[i].nodeName != "LI") {
            continue;
        }

        var link = null;

        for (var j = 0; j < childNodes[i].childNodes.length; j++) {
            if (childNodes[i].childNodes[j].nodeName == 'A') {
                link = childNodes[i].childNodes[j];
                break;
            }
        }

        //var id = link.getAttribute('href').replace('#', '');
        var id = link.getAttribute('href').split("#")[1];

        links[id] = link;
        links[id].onclick = function() { return false; };

        links[id].onmouseover = function() {
            //var selected = this.getAttribute('href').replace('#', '');
            var selected = this.getAttribute('href').split("#")[1];

            for (var id in divs) {
                if (id == selected) {
                    links[id].className = 'selected';
                    divs[id].className = 'tabContent';
                } else {
                    links[id].className = '';
                    divs[id].className = 'tabContent hide';
                }
            }

            return false;
        };

        links[id].onfocus = function() { this.blur() };
        //links[id].className = (first) ? 'selected' : '';

        divs[id] = document.getElementById(id);
        //divs[id].className = (first) ? 'tabContent' : 'tabContent hide';

        if (id == selected) {
            links[id].className = 'selected';
            divs[id].className = 'tabContent';
        }
        else {
            links[id].className = '';
            divs[id].className = 'tabContent hide';
        }        

        //first = false;
    }
}

function seleTab(element, links, divs, selected) {
    for (var id in links) {
        if (id == selected) {
            links[id].className = 'selected';
            divs[id].className = 'tabContent';            
        }
        else {
            links[id].className = '';
            divs[id].className = 'tabContent hide';
        }
    }
}